POST api/Streaks/AddStreakPoints
Request Information
URI Parameters
None.
Body Parameters
UserStreakPointsDto| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId | integer |
None. |
|
| userId | integer |
None. |
|
| points | integer |
None. |
|
| typeId | integer |
None. |
|
| iso | string |
None. |
|
| timeZone | string |
None. |
|
| date | date |
None. |
|
| challengeId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountId": 1,
"userId": 2,
"points": 3,
"typeId": 4,
"iso": "sample string 5",
"timeZone": "sample string 6",
"date": "2026-04-12T18:01:44.4722971+03:00",
"challengeId": 8
}
text/plain, application/octet-stream
Sample:
{"accountId":1,"userId":2,"points":3,"typeId":4,"iso":"sample string 5","timeZone":"sample string 6","date":"2026-04-12T18:01:44.4722971+03:00","challengeId":8}
application/xml, text/xml
Sample:
<UserStreakPointsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountId>1</accountId> <challengeId>8</challengeId> <date>2026-04-12T18:01:44.4722971+03:00</date> <iso>sample string 5</iso> <points>3</points> <timeZone>sample string 6</timeZone> <typeId>4</typeId> <userId>2</userId> </UserStreakPointsDto>
multipart/form-data, application/form-data
Sample:
<UserStreakPointsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountId>1</accountId><challengeId>8</challengeId><date>2026-04-12T18:01:44.4722971+03:00</date><iso>sample string 5</iso><points>3</points><timeZone>sample string 6</timeZone><typeId>4</typeId><userId>2</userId></UserStreakPointsDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.